# Note:  Some tests for this package are disabled by default, as they
# require network access and would thus fail in the buildsys' mock
# environments.  To build locally while enabling tests, either:
#
#   rpmbuild ... --define '_with_network_tests 1' ...
#   rpmbuild ... --with network_tests ...
#   define _with_network_tests 1 in your ~/.rpmmacros
#
# Note that right now, the only way to run tests locally from a cvs sandbox #
# "make noarch" type scenario is the third one.


Name:     perl-WWW-Myspace
Version:  0.52
Release:  2%{?dist}
Summary:  Access your myspace.com profile in Perl!

Group:    Development/Libraries
License:  Artistic or GPL
URL:      http://search.cpan.org/dist/WWW-Myspace
Source0:  http://search.cpan.org/CPAN/authors/id/G/GR/GRANTG/WWW-Myspace-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source99: filter-requires.sh
%define __perl_requires %{SOURCE99}

BuildArch:      noarch 
BuildRequires:  perl
BuildRequires:  perl(Test::More), perl(Spiffy) >= 0.24, perl(YAML) >= 0.39
BuildRequires:  perl(File::Spec::Functions), perl(Contextual::Return)
BuildRequires:  perl(Class::DBI::AbstractSearch), perl(Config::General)
BuildRequires:  perl(DateTime), perl(IO::Prompt), perl(List::Compare)
BuildRequires:  perl(Locale::SubCountry), perl(Math::Round)
BuildRequires:  perl(Params::Validate), perl(Class::DBI)
BuildRequires:  perl(Class::DBI::Loader), perl(WWW::Mechanize)
BuildRequires:  perl(Time::Local), perl(DateTime::Format::MySQL)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
WWW::Myspace.pm provides methods to access your myspace.com account and
functions automatically. It provides a simple interface for scripts to log in,
access lists of friends, scan user's profiles, retreive profile data, send
messages, and post comments.


%prep
%setup -q -n WWW-Myspace-%{version}

# exec + doc == bad
cd sample_scripts
chmod -x *


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

# remove errant execute bit from the .pm's
find %{buildroot} -type f -name '*.pm' -exec chmod -x {} 2>/dev/null ';'


%check
# tests are disabled for mock/plague build as they attempt to access the
# mspace site.
%{?_with_network_tests: make test }


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README Changes mysql.txt sample_scripts 
%{perl_vendorlib}/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_bindir}/*


%changelog
* Fri Aug 11 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.52-2
- nix some errant spec bits 

* Wed Aug 09 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.52-1
- update to 0.52

* Fri Aug 04 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.51-1
- update to 0.51
- Add two new BR's: Time::Local and DateTime::Format::MySQL
- Also add _with_network_tests wrapper

* Mon Jul 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.50-1
- update to latest release

* Wed Jul  5 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.49-1
- bump release for build

* Wed Jul  5 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.49-0.1
- filter requires...

* Thu Jun 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.49-0
- Initial spec file for F-E
